For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a Demo
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
    • Getting Started
    • Environments and Base URLs
    • Reference
  • API Reference
        • POSTCreate Create ACH Request
        • GETList ACH Responses
        • GETRetrieve ACH Response
        • DELCancel ACH Payment
        • GETList Consumer ACH Payments
Get a Demo
LogoLogo
API ReferencePaymentsACH

List Consumer ACH Payments

GET
https://host.com/v2/consumers/:consumer_id/payments/ach
GET
/v2/consumers/:consumer_id/payments/ach
$curl https://host.com/v2/consumers/consumer_id/payments/ach \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "count": 123,
3 "results": [
4 null
5 ],
6 "next": "http://api.example.org/accounts/?page=4",
7 "previous": "http://api.example.org/accounts/?page=2"
8}
Was this page helpful?
Previous

Create Transfer

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

consumer_idstringRequired

Query parameters

pageintegerOptional
A page number within the paginated result set.
page_sizeintegerOptional
Number of results to return per page.
searchstringOptional
A search term.

Response

countinteger
resultslist of any
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"